Bug 145233 - filename encoding VFAT partitions
filename encoding VFAT partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
:
: 145237 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 13:43 EST by wow101
Modified: 2015-03-03 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 01:21:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wow101 2005-01-15 13:43:31 EST
Description of problem:

Nautilus and Konqueror are not able to write foreign language accents
to a VFAT partition nor are they able to copy files with an accent in
the filename to a VFAT partition.


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1.  write a filename with an accent in the ext3 partition. For
instance: "ññ - más"
2.  Try to copy it to VFAT partition
3.  Try to write the same filename in Nautilus to a VFAT partition
  
Actual results:

You get an error the says something like: "Renaming error..." or
"cannot copy file..."

Expected results:


Additional info:

This is a critical problem for me because now I can't reliably backup
my folders to my VFAT partition and it critically hampers my ability
to work with my dual boot system.
Comment 1 Barry K. Nathan 2005-01-16 12:28:25 EST
Try mounting the vfat partition with the "utf8" mount option. (I think
there may be some obscure reason why this isn't the default.)
Comment 2 Barry K. Nathan 2005-01-16 16:36:39 EST
Actually, the "obscure reason" was for why "iocharset=utf8" isn't the
default. But that's different from "utf8" not being the default.

Hmmm... I need to find out why "utf8" isn't the default (at least, in
cases where the systemwide iocharset default is utf8). In the
meantime, try the "utf8" mount option, as I suggested in the last comment.
Comment 3 wow101 2005-01-17 15:24:08 EST
Thanks!!  This solved my problem.

I added utf8 to /etc/fstab so that my entry now looks like this:
/dev/hda9   /home/files   vfat   rw,users,exec,dev,suid,utf8,umask=000
  0 0

Now when I view that partition in Nautilus it displays the accents
written in WindowsXP properly, and now Windows Explorer displays the
accents written in FC3 properly.  I'm also able to copy files with an
accent to the vfat partition now.

Thanks again.  Now if you could just make this default so that other
newbies like myself don't have to repeat this headache it'd be great.
Comment 4 Alexander Larsson 2005-01-18 03:38:15 EST
*** Bug 145237 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Miller 2006-07-10 17:49:09 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 petrosyan 2008-02-04 01:21:28 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.